GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
algorithm.c File Reference
`#include <stdlib.h>`
`#include <string.h>`
`#include <grpc/compression.h>`

## Functions
int | grpc_compression_algorithm_parse (const char *name, grpc_compression_algorithm *algorithm)
| Parses name as a grpc_compression_algorithm instance, updating algorithm. More...
int | grpc_compression_algorithm_name (grpc_compression_algorithm algorithm, char **name)
| Updates name with the encoding name corresponding to a valid algorithm. More...
grpc_compression_algorithm | grpc_compression_algorithm_for_level (grpc_compression_level level)
| Returns the compression algorithm corresponding to level. More...
grpc_compression_level | grpc_compression_level_for_algorithm (grpc_compression_algorithm algorithm)
| Returns the compression level corresponding to algorithm. More...

## Function Documentation

grpc_compression_algorithm grpc_compression_algorithm_for_level | ( | grpc_compression_level | level | ) |

Returns the compression algorithm corresponding to level.

It abort()s for unknown levels .

int grpc_compression_algorithm_name | ( | grpc_compression_algorithm | algorithm,
|  | char ** | name
| ) |  |

Updates name with the encoding name corresponding to a valid algorithm.

Returns 1 upon success, 0 otherwise.

int grpc_compression_algorithm_parse | ( | const char * | name,
|  | grpc_compression_algorithm * | algorithm
| ) |  |

Parses name as a grpc_compression_algorithm instance, updating algorithm.

Returns 1 upon success, 0 otherwise.

grpc_compression_level grpc_compression_level_for_algorithm | ( | grpc_compression_algorithm | algorithm | ) |

Returns the compression level corresponding to algorithm.

It abort()s for unknown algorithms.